Subject: bug#11302: Automake 1.11d on openSUSE 12.1

From: Bruno Haible <[email-masked]>
Date: Sun, 22 Apr 2012 19:42:48 +0200

Hi Stefano,

> > FAIL: t/depcomp2
> > ================
> > 
> > [SNIP]
> > ...
> > The file 'stderr' is not empty: It contains this two-line warning
> >
> >   configure: WARNING: if you wanted to set the --build type, don't use --host.
> >       If a cross compiler is detected then cross compile mode will be used
> >
> > This is because I configured with the arguments
> >
> >   --host=x86_64-pc-linux-gnu \
> >   --prefix=/home/bruno/data/build/prefix-linux-x86_64 \
> >   --libdir=/home/bruno/data/build/prefix-linux-x86_64/lib64
> >
> > Apparently this led to a host_alias variable being passed to sub-configures:
> >
> The autoconf manual reads:
> 
>     For historical reasons, whenever you specify --host, be sure to specify
>     --build too; this will be fixed in the future.

It is safer for me in general to never use --build, only --host.
config.guess is always doing its job right [1]; if I used --build, I would
only increase the risk of mistakes. 

> Does the error disappear if you also pass the '--build' option to configure?

The Autoconf manual says "this will be fixed in the future"; therefore
the Automake test suite should be prepared to work with just --host and no
--build option.

Bruno

[1] http://lists.gnu.org/archive/html/bug-automake/2012-01/msg00086.html